<script language="JavaScript" type="text/javascript">
<!--
/**
 * This array is used to remember mark status of rows in browse mode
 */
var marked_row = new Array;


/**
 * Sets/unsets the pointer and marker in browse mode
 *
 * @param   object    the table row
 * @param   integer  the row number
 * @param   string    the action calling this script (over, out or click)
 * @param   string    the default background color
 * @param   string    the color to use for mouseover
 * @param   string    the color to use for marking a row
 *
 * @return  boolean  whether pointer is set or not
 */
function setPointer(theRow, theRowNum, theAction, theDefaultColor, thePointerColor, theMarkColor)
{
    var theCells = null;

    // 1. Pointer and mark feature are disabled or the browser can't get the
    //    row -> exits
    if ((thePointerColor == '' && theMarkColor == '')
        || typeof(theRow.style) == 'undefined') {
        return false;
    }

    // 2. Gets the current row and exits if the browser can't get it
    if (typeof(document.getElementsByTagName) != 'undefined') {
        theCells = theRow.getElementsByTagName('td');
    }
    else if (typeof(theRow.cells) != 'undefined') {
        theCells = theRow.cells;
    }
    else {
        return false;
    }

    // 3. Gets the current color...
    var rowCellsCnt  = theCells.length;
    var domDetect    = null;
    var currentColor = null;
    var newColor     = null;
    // 3.1 ... with DOM compatible browsers except Opera that does not return
    //         valid values with "getAttribute"
    if (typeof(window.opera) == 'undefined'
        && typeof(theCells[0].getAttribute) != 'undefined') {
        currentColor = theCells[0].getAttribute('bgcolor');
        domDetect    = true;
    }
    // 3.2 ... with other browsers
    else {
        currentColor = theCells[0].style.backgroundColor;
        domDetect    = false;
    } // end 3

    // 3.3 ... Opera changes colors set via HTML to rgb(r,g,b) format so fix it
    if (currentColor.indexOf("rgb") >= 0)
    {
        var rgbStr = currentColor.slice(currentColor.indexOf('(') + 1,
                                     currentColor.indexOf(')'));
        var rgbValues = rgbStr.split(",");
        currentColor = "#";
        var hexChars = "0123456789ABCDEF";
        for (var i = 0; i < 3; i++)
        {
            var v = rgbValues[i].valueOf();
            currentColor += hexChars.charAt(v/16) + hexChars.charAt(v%16);
        }
    }

    // 4. Defines the new color
    // 4.1 Current color is the default one
    if (currentColor == ''
        || currentColor.toLowerCase() == theDefaultColor.toLowerCase()) {
        if (theAction == 'over' && thePointerColor != '') {
            newColor              = thePointerColor;
        }
        else if (theAction == 'click' && theMarkColor != '') {
            newColor              = theMarkColor;
            marked_row[theRowNum] = true;
            // Garvin: deactivated onclick marking of the checkbox because it's also executed
            // when an action (like edit/delete) on a single item is performed. Then the checkbox
            // would get deactived, even though we need it activated. Maybe there is a way
            // to detect if the row was clicked, and not an item therein...
            // document.getElementById('id_rows_to_delete' + theRowNum).checked = true;
        }
    }
    // 4.1.2 Current color is the pointer one
    else if (currentColor.toLowerCase() == thePointerColor.toLowerCase()
             && (typeof(marked_row[theRowNum]) == 'undefined' || !marked_row[theRowNum])) {
        if (theAction == 'out') {
            newColor              = theDefaultColor;
        }
        else if (theAction == 'click' && theMarkColor != '') {
            newColor              = theMarkColor;
            marked_row[theRowNum] = true;
            // document.getElementById('id_rows_to_delete' + theRowNum).checked = true;
        }
    }
    // 4.1.3 Current color is the marker one
    else if (currentColor.toLowerCase() == theMarkColor.toLowerCase()) {
        if (theAction == 'click') {
            newColor              = (thePointerColor != '')
                                  ? thePointerColor
                                  : theDefaultColor;
            marked_row[theRowNum] = (typeof(marked_row[theRowNum]) == 'undefined' || !marked_row[theRowNum])
                                  ? true
                                  : null;
            // document.getElementById('id_rows_to_delete' + theRowNum).checked = false;
        }
    } // end 4

    // 5. Sets the new color...
    if (newColor) {
        var c = null;
        // 5.1 ... with DOM compatible browsers except Opera
        if (domDetect) {
            for (c = 0; c < rowCellsCnt; c++) {
                theCells[c].setAttribute('bgcolor', newColor, 0);
            } // end for
        }
        // 5.2 ... with other browsers
        else {
            for (c = 0; c < rowCellsCnt; c++) {
                theCells[c].style.backgroundColor = newColor;
            }
        }
    } // end 5

    return true;
} // end of the 'setPointer()' function

/*
 * Sets/unsets the pointer and marker in vertical browse mode
 *
 * @param   object    the table row
 * @param   integer   the column number
 * @param   string    the action calling this script (over, out or click)
 * @param   string    the default background color
 * @param   string    the color to use for mouseover
 * @param   string    the color to use for marking a row
 *
 * @return  boolean  whether pointer is set or not
 *
 * @author Garvin Hicking <me@supergarv.de> (rewrite of setPointer.)
 */

//-->
</script>
<?
//---------------------------------------------------------
include_once($show_lang);

if (($year == 0) OR ($year > date("Y"))) {
    $ny = date("Y");
} else {
    $ny = $year;
}
if (($month == 0) OR ($month > 12)) {
    $nm = date("m");
} else {
    $nm = $month;
}
if (($year == 0) OR ($year > date("Y"))) {
    $tony = date("Y");
} else {
    $tony = $toyear;
}
if (($month == 0) OR ($month > 12)) {
    $tonm = date("m");
} else {
    $tonm = $tomonth;
}
//------------------------------------------------------------------------------
  switch ($_POST[group_by]) {
  case dayofmonth:
            $group_by = "dayofmonth";
            break;
  case month:
            $group_by = "month";
            break;
  case year:
            $group_by = "year";
            break;
  default:
            $group_by = "none";
            break;
  }
//------------------------------------------------------------------------------
$query="SELECT YEAR(MIN(start_time)) AS start_year, YEAR(MAX(start_time)) AS stop_year FROM ".NIBS_ACCT_TABLE;
$result = my_query($query, LINK, __FILE__, __LINE__);
$res = mysql_fetch_array($result);
//
$query = "SELECT * FROM `".NIBS_AUTH_TABLE."` WHERE `user` = '".$_SESSION[user]."'";
$result = my_query($query, LINK, __FILE__, __LINE__);
$usercf = mysql_fetch_array ($result);
//
$query = "SELECT * FROM `".NIBS_PACKETS_TABLE."` WHERE `gid` = '".$usercf[gid]."'";
$result = my_query($query, LINK, __FILE__, __LINE__);
$packres = mysql_fetch_array ($result);

mysql_free_result($result);

?>
<br>
<table WIDTH="90%" border="0" align="center" cellpadding="0" cellspacing="0">
 <tr>
  <td align="center" valign="middle" class="centernav" width="99%" nowrap=nowrap>
   <table border="0" cellspacing="0" cellpadding="0" width="100%">
    <tr>
     <td class="navcontent" nowrap=nowrap>
      <table border="0" cellspacing="0" cellpadding="0" width="100%">
       <tr>
        <td class="navbg_main" nowrap=nowrap>
         <table border="0" cellspacing="0" cellpadding="0" width="100%" class="moduletable">
          <tr>
           <th nowrap=nowrap><img src="images/stats.gif" border="0">&nbsp;<? echo $TXT_019; ?></th>
          </tr>
         </table>
        </td>
       </tr>
       <tr>
        <td class="navbg_main" align="center" nowrap=nowrap>
         <table cellspacing="1" cellpadding="0" class="moduletable">
          <tr>
           <td nowrap=nowrap>
            <table cellspacing="1" cellpadding="3" BORDER="0" BGCOLOR="#CCBBAA" class="moduletable">
             <TR ALIGN=center BGCOLOR="#E8ECF2">
              <td nowrap=nowrap><img src=images/user.gif align=absmiddle border=0>&nbsp;<? echo $TXT_020; ?></td>
              <td nowrap=nowrap><img src=images/packets.gif align=absmiddle border=0>&nbsp;<? echo $TXT_021; ?></td>
              <td nowrap=nowrap><img src=images/addbk.gif align=absmiddle border=0>&nbsp;<? echo $TXT_022; ?></td>
              <td nowrap=nowrap><img src=images/add_user.gif align=absmiddle border=0>&nbsp;<? echo $TXT_023; ?></td>
              <td nowrap=nowrap><? echo $TXT_024; ?></td>
              <? if ($usercf[framed_ip]) echo "<td nowrap=nowrap>".$TXT_025."</td>"; ?>
              <td nowrap=nowrap><? echo $TXT_059; ?></td>
              <? if (SHOW_SPEED == 1) echo "<td nowrap=nowrap>".$TXT_132."</td>"; ?>
              <td nowrap=nowrap><? echo $TXT_026; ?></td>
              <?
                if (($packres[tos] > 0) && (($packres[do_with_tos] == 1) || ($packres[do_with_tos] == 3))) {
                   echo "<td nowrap=nowrap><img src=images/deposite.gif align=absmiddle border=0>&nbsp;".$TXT_027."</td>";
                   if ($usercf[credit] > "0") {
                      echo "<td nowrap=nowrap><img src=images/credit.gif align=absmiddle border=0>&nbsp;".$TXT_028."</td>";
                   }
                }
              ?>
             </TR>
             <TR bgcolor="#FFFFFF" onmouseover="setPointer(this, 1, 'over', '#FFFFFF', '#EEFFDD', '#FFFFEE');" onmouseout="setPointer(this, 1, 'out', '#FFFFFF', '#EEFFDD', '#FFFFEE');">
              <td align=center nowrap=nowrap><b><? echo $user; ?></B></td>
              <td align=center nowrap=nowrap>
               <?
                 if (SHOW_PACKET == "1") {
               ?>
                   <label title="<? echo $TXT_061; ?>"><a href="javascript:window.open('show_packet.php?show_gid=<?echo $packres[gid];?>','Show_Packet','menubar=0,directories=0,resizable=1,location=0,status=0,scrollbars=1,toolbar=0,width=700,height=580');void(0);"><? echo $packres[packet]; ?></a></label>
               <?
                 } else {
                   echo $packres[packet];
                 }
               ?>
              </td>
              <td align=center nowrap=nowrap><? echo $usercf[fio]; ?></td>
              <td align=center nowrap=nowrap><? echo $usercf[add_date]; ?></td>
              <td align=center nowrap=nowrap><? echo $usercf[last_connection]; ?></td>
              <? if ($usercf[framed_ip]) echo "<td align=center nowrap=nowrap>$usercf[framed_ip]</td>"; ?>
              <td align=center nowrap=nowrap>
               <?
                 if ($usercf[expired] == "0000-00-00") {
                 	echo $TXT_060;
                 } else {
                    echo "<font color=red>$usercf[expired]</font>";
                 }
               ?>
              </td>
              <? if (SHOW_SPEED ==1) {?>
               <td align=center nowrap=nowrap>
                <?
                 if ($usercf[max_speed] == 0 && $packres[max_speed] == 0) {
                 	echo $TXT_060;
                 } else {
                 	if ($usercf[max_speed] != 0 && $packres[max_speed] == 0) {
                 		?><label title="<? echo $TXT_134; ?>"><? echo $usercf[max_speed]; ?> Kbps</label><?
                    } else {
                 		?><label title="<? echo $TXT_133; ?>"><? echo $packres[max_speed]; ?> Kbps</label><?
                    }
                 }
                ?>
               </td>
              <? } ?>
              <td align=center nowrap=nowrap>
               <?
                 if ($usercf[blocked] == 1 || ($packres[tos] > 0 && (($packres[do_with_tos] == 1 || $packres[do_with_tos] == 3) && ($usercf[deposit] + $usercf[credit] <= 0)))) {
                    echo "<img src=images/off.gif align=absmiddle border=0>";
                 } else {
                    echo "<img src=images/on.gif align=absmiddle border=0>";
                 }
               ?>
              </td>
              <?
                if ($packres[tos] > 0 && ($packres[do_with_tos] == 1 || $packres[do_with_tos] == 3)) {
                    printf ("<td align=center nowrap=nowrap>%01.2f ".UE."</td>",$usercf[deposit]);
                   if ($usercf[credit] > "0") {
                   	echo "<td align=center nowrap=nowrap ";
   	                   	 if ($usercf[deposit] + $usercf[credit] <= 0) {
   	                   	 	echo "bgcolor=".CREDITLIMIT_BGCOLOR;
                    	 }
                         printf (">%01.2f ".UE."</td>",$usercf[credit]);
                   }
                }
              ?>
             </TR>
            </TABLE>
           </TD>
          </TR>
         </TABLE>
        </TD>
       </TR>
       <TR>
        <TD class="navbg_main" align="center" nowrap=nowrap>
         <TABLE border="0" cellspacing="0" cellpadding="5">
          <tr>
           <td align="center" nowrap=nowrap>
             <FORM ACTION="" METHOD=post>
             <TR>
              <TD align=right nowrap=nowrap><? echo $TXT_126; ?>:&nbsp;
               <SELECT NAME=year>
                <?
                  for ($y = $res[start_year];$y <= $res[stop_year];$y++) {
                      echo ($y == $ny) ? "<OPTION SELECTED>".$y."\n" : "<OPTION>".$y."\n";
                  }
                ?>
               </SELECT>
               <SELECT NAME=month>
                <?
                  for ($m=1;$m<=12;$m++) {
                      echo ($m == $nm) ? "<OPTION VALUE=$m SELECTED>$mon[$m]\n" : "<OPTION VALUE=$m>$mon[$m]\n";
                  }
                ?>
               </SELECT>
              </TD>
              <TD align=right nowrap=nowrap><? echo $TXT_138; ?>:&nbsp;
               <SELECT NAME=group_by>
                <OPTION VALUE="none" <? echo ($group_by == "none") ? " SELECTED>" : ">" ; echo $TXT_067; ?></OPTION>
                <OPTION VALUE="dayofmonth" <? echo ($group_by == "dayofmonth") ? " SELECTED>" : ">" ; echo $TXT_139; ?></OPTION>
                <OPTION VALUE="month" <? echo ($group_by == "month") ? " SELECTED>" : ">" ; echo $TXT_140; ?></OPTION>
                <OPTION VALUE="year" <? echo ($group_by == "year") ? " SELECTED>" : ">" ; echo $TXT_141; ?></OPTION>
               </SELECT>
              </TD>
             </TR>
             <TR>
              <TD align=right nowrap=nowrap><? echo $TXT_127; ?>:&nbsp;
               <SELECT NAME=toyear>
                <?
                  for ($y = $res[start_year];$y <= $res[stop_year];$y++) {
                      echo ($y == $tony) ? "<OPTION SELECTED>".$y."\n" : "<OPTION>".$y."\n";
                  }
                ?>
               </SELECT>
               <SELECT NAME=tomonth>
                <?
                  for ($m=1;$m<=12;$m++) {
                      echo ($m == $tonm) ? "<OPTION VALUE=$m SELECTED>$mon[$m]\n" : "<OPTION VALUE=$m>$mon[$m]\n";
                  }
                ?>
               </SELECT>
              </TD>
              <TD align=center nowrap=nowrap>
              	<input type="submit" value="<? echo $TXT_128;?>" onchange="this.form.submit()">
              	<NOSCRIPT><TD><INPUT TYPE=submit VALUE="<? echo $TXT_031; ?>"></TD></NOSCRIPT>
              </TD>
             </TR>
            </FORM>
           </TD>
          </TR>
         </TABLE>
        </TD>
       </TR>
       <TR>
        <TD class="navbg_main" align="center" nowrap=nowrap>

<?
  $t_start_time = date("Y-m-d G:i:s", mktime(0,0,0,$nm,1,$ny));
  $t_stop_time = date("Y-m-d G:i:s", mktime(23,59,59,$tonm,date("t",mktime(12,0,0,$tonm,15,$tony)),$tony));

  $query = "SELECT sum(time_on) as time_on_t, sum(in_bytes) as InBytes_t, sum(out_bytes) as OutBytes_t, count(user) as count, sum(billing_minus) as money_t FROM ".NIBS_ACCT_TABLE." WHERE user='".$user."' AND comment is NULL AND start_time between '".$t_start_time."' and '".$t_stop_time."'";
  $result = my_query ($query,LINK,__FILE__,__LINE__);
  $res = mysql_fetch_array ($result);
  mysql_free_result ($result);

  $query = "SELECT count(user) as count, sum(billing_minus) as money_t FROM ".NIBS_ACCT_TABLE." WHERE user='".$user."' AND comment='".COMM_POPOL."' AND start_time between '".$t_start_time."' and '".$t_stop_time."'";
  $result = my_query ($query,LINK,__FILE__,__LINE__);
  $res_pop = mysql_fetch_array ($result);
  mysql_free_result ($result);

  if ($res[count] > 0) {
   ?>
   <TABLE cellspacing="1" cellpadding="3" BORDER="0" BGCOLOR="#CCBBAA" class="moduletable">
    <TR ALIGN=center BGCOLOR="#E8ECF2">
     <td nowrap=nowrap><img src=images/conn.gif align=absmiddle border=0>&nbsp;<? echo $TXT_040; ?></td>
     <td nowrap=nowrap><img src=images/time1.gif align=absmiddle border=0>&nbsp;<? echo $TXT_041; ?></td>
     <td nowrap=nowrap><img src=images/traffic_out.gif align=absmiddle border=0>&nbsp;<? echo $TXT_042; ?></td>
     <td nowrap=nowrap><img src=images/traffic_in.gif align=absmiddle border=0>&nbsp;<? echo $TXT_043; ?></td>
     <td nowrap=nowrap><img src=images/traffics.gif align=absmiddle border=0>&nbsp;<? echo $TXT_050."<BR>(".MBYTES.")"; ?></td>
     <td nowrap=nowrap><img src=images/money.gif align=absmiddle border=0>&nbsp;<? echo $TXT_044; ?></td>
     <td nowrap=nowrap><? echo $TXT_045; ?></td>
     <td nowrap=nowrap><img src=images/addpay.gif align=absmiddle border=0>&nbsp;<? echo $TXT_046; ?></td>
    </tr>
    <TR bgcolor="#FFFFFF" onmouseover="setPointer(this, 2, 'over', '#FFFFFF', '#EEFFDD', '#FFFFEE');" onmouseout="setPointer(this, 2, 'out', '#FFFFFF', '#EEFFDD', '#FFFFEE');">
     <td align=center nowrap=nowrap><? echo $res[count]; ?></td>
     <td align=center nowrap=nowrap><? printf ("%s",$ttime = sectime('h:m:s', $res[time_on_t])); ?></td>
     <td align=center nowrap=nowrap><? printf ("%.3f ".MBYTES,$res[InBytes_t]/MBYTE); ?></td>
     <td align=center nowrap=nowrap><? printf ("%.3f ".MBYTES,$res[OutBytes_t]/MBYTE); ?></td>
     <td align=center nowrap=nowrap><? printf ("%.3f ",($res[InBytes_t] + $res[OutBytes_t])/MBYTE); ?></td>
     <td align=center nowrap=nowrap><? printf ("%.2f ".UE,$res[money_t]);?></td>
     <td align=center nowrap=nowrap>
      <?
        if (SHOW_PAYS == "1" && $res_pop[count] > 0) {
        ?>
          <label title="<? echo $TXT_141; ?>"><a href="javascript:window.open('show_pays.php?start=<? echo $t_start_time;?>&stop=<? echo $t_stop_time;?>','Show_Pays','menubar=0,directories=0,resizable=1,location=0,status=0,scrollbars=1,toolbar=0');void(0);"><? echo $res_pop[count]; ?></a></label>
        <?
        } else {
           echo $res_pop[count];
        }
      ?>
     </td>
     <td align=center nowrap=nowrap><? printf ("%.2f ".UE,$res_pop[money_t]); ?></td>
    </TR>
   </TABLE>
   <br><br>
   <?
  }
//------------------------------------------------------------------------------
  if ($res[count] > 0 && $group_by == "none") {
   ?>
   <TABLE cellspacing="1" cellpadding="3" BORDER="0" BGCOLOR="#CCBBAA" class="moduletable">
    <TR ALIGN=center BGCOLOR="#F8FBF8">
     <TD nowrap=nowrap><? echo $TXT_047; ?></TD>
     <TD nowrap=nowrap><? echo $TXT_048; ?></TD>
     <TD nowrap=nowrap><? echo $TXT_049; ?></TD>
     <TD nowrap=nowrap><? echo $TXT_042; ?></TD>
     <TD nowrap=nowrap><? echo $TXT_043; ?></TD>
     <TD nowrap=nowrap><? echo $TXT_050."<BR>(".MBYTES.")"; ?></TD>
     <TD nowrap=nowrap><? echo $TXT_052; ?></TD>
     <TD nowrap=nowrap><? echo $TXT_053; ?>(<?echo UE;?>)</TD>
     <TD nowrap=nowrap><? echo $TXT_054; ?>(<?echo UE;?>)</TD>
    </TR>
    <?
     $query = "SELECT call_from, before_billing, billing_minus, date_format(start_time, '%d-%m-%Y, %H:%i:%s') as fstart_time, date_format(stop_time,'%d-%m-%Y, %H:%i:%s') as fstop_time, time_on, connect_info, in_bytes, out_bytes, comment, ip, terminate_cause FROM ".NIBS_ACCT_TABLE." WHERE user='".$user."' and start_time between '".$t_start_time."' and '".$t_stop_time."' order by start_time";
     $result = my_query ($query,LINK,__FILE__,__LINE__);

     for ($i = 0; $i < mysql_num_rows ($result); $i++) {
      $row = mysql_fetch_object ($result);
      if ($row->comment != "") {
        printf ("<TR align=center bgcolor=\"#FFFFFF\"><TD nowrap=nowrap>%s</TD>\n", $row->fstart_time);
        if ($row->comment == COMM_ABONP) echo"<TD COLSPAN=6 nowrap=nowrap ALIGN=left BGCOLOR=\"#cceeff\">&nbsp;&nbsp;".$TXT_055."</td>";
        if ($row->comment == COMM_POPOL) echo"<TD COLSPAN=6 nowrap=nowrap ALIGN=left BGCOLOR=\"#efffff\">&nbsp;&nbsp;".$TXT_056."</td>";
        printf ("<TD nowrap=nowrap>%01.2f</TD>\n", $row->before_billing);
        printf ("<TD nowrap=nowrap><b>%01.2f</b></TD>\n", $row->billing_minus);
        echo "</TR>";
      } else {
        ?>
        <TR align=center bgcolor="#FFFFFF" onmouseover="setPointer(this, <? echo $i + 2; ?>, 'over', '#FFFFFF', '#EEFFDD', '#FFFFEE');" onmouseout="setPointer(this, <? echo $i + 2; ?>, 'out', '#FFFFFF', '#EEFFDD', '#FFFFEE');" onmousedown="setPointer(this, <? echo $i + 2; ?>, 'click', '#EEFFDD', '#EEFFDD', '#FFFFEE');">
        <?
        printf ("<TD nowrap=nowrap>&nbsp; %s &nbsp;</TD>\n", $row->fstart_time);
        if ($row->fstop_time == "00-00-0000, 00:00:00" && $row->fstart_time != "00-00-0000, 00:00:00" ) {
        	if ($row->terminate_cause == "Online") {
        		echo "<TD bgcolor=".USERONLINE_BGCOLOR." nowrap=nowrap><img src=images/useronline.gif align=absmiddle border=0>&nbsp;ONLINE</TD>";
        	} else {
        		echo "<TD bgcolor=".USERUNCONN_BGCOLOR." nowrap=nowrap>".$row->fstop_time."</TD>";
        	}
        } else {
        	printf ("<TD nowrap=nowrap>&nbsp; %s &nbsp;</TD>\n", $row->fstop_time);
        }
        $ttime = sectime('h:m:s', $row->time_on);
        printf ("<TD nowrap=nowrap>&nbsp; %s &nbsp;</TD>\n", $ttime);
        printf ("<TD align=right nowrap=nowrap>%.3f</TD>\n", $row->in_bytes/MBYTE);
        printf ("<TD align=right nowrap=nowrap>%.3f</TD>\n", $row->out_bytes/MBYTE);
        printf ("<TD align=right nowrap=nowrap>%.3f</TD>\n", ($row->in_bytes + $row->out_bytes)/MBYTE);
        echo "<TD nowrap=nowrap>";
           echo ($row->call_from == "" ) ? "$row->ip" : "$row->call_from";
        echo "</TD>";
        printf ("<TD nowrap=nowrap>%01.2f</TD>\n", $row->before_billing);
        printf ("<TD nowrap=nowrap>%01.2f</TD>\n", $row->billing_minus);
        echo "</TR>\n";
      }
     }
     mysql_free_result ($result);
    ?>
   </TABLE>
   <?
   }
//------------------------------------------------------------------------------
  if ($res[count] > 0 && ($group_by == "dayofmonth" || $group_by == "month" || $group_by == "year")) {
   ?>
   <TABLE cellspacing="1" cellpadding="3" BORDER="0" BGCOLOR="#CCBBAA" class="moduletable">
    <TR ALIGN=center BGCOLOR="#F8FBF8">
     <TD nowrap=nowrap><? echo $TXT_037; ?></TD>
     <TD nowrap=nowrap><? echo $TXT_040; ?></TD>
     <TD nowrap=nowrap><? echo $TXT_041; ?></TD>
     <TD nowrap=nowrap><? echo $TXT_042; ?></TD>
     <TD nowrap=nowrap><? echo $TXT_043; ?></TD>
     <TD nowrap=nowrap><? echo $TXT_050."<BR>(".MBYTES.")"; ?></TD>
     <TD nowrap=nowrap><? echo $TXT_054; ?>(<?echo UE;?>)</TD>
    </TR>
    <?
	switch ($group_by) {
       	case month:
       		$tmp = "%Y-%m";
       		break;
       	case year:
       		$tmp = "%Y";
       		break;
       	default:
       		$tmp = "%Y-%m-%d";
       		break;
	}
     $query = "SELECT date_format(start_time, \"".$tmp."\") as days FROM ".NIBS_ACCT_TABLE." WHERE user='".$user."' and start_time between '".$t_start_time."' and '".$t_stop_time."' AND comment is NULL group by ".$group_by."(start_time) order by start_time";
     $result = my_query ($query,LINK,__FILE__,__LINE__);
     for ($i = 0; $i < mysql_num_rows ($result); $i++) {
     	$row = mysql_fetch_array ($result);
		switch ($group_by) {
        	case month:
        		$tmpb = "date_format(\"".$row[days]."-01 00:00:00\", \"%Y-%m-%d %H:%i:%s\")' and 'date_format(\"".$row[days]."-31 23:59:59\", \"%Y-%m-%d %H:%i:%s\")";
        		$tmpd = "date_format(\"".$row[days]."-01\", \"%m-%Y\")";
        		break;
        	case year:
        		$tmpb = "date_format(\"".$row[days]."-01-01 00:00:00\", \"%Y-%m-%d %H:%i:%s\")' and 'date_format(\"".$row[days]."-12-31 23:59:59\", \"%Y-%m-%d %H:%i:%s\")";
        		$tmpd = "date_format(\"".$row[days]."-01-01\", \"%Y\")";
        		break;
        	default:
        		$tmpb = "date_format(\"".$row[days]." 00:00:00\", \"%Y-%m-%d %H:%i:%s\")' and 'date_format(\"".$row[days]." 23:59:59\", \"%Y-%m-%d %H:%i:%s\")";
        		$tmpd = "date_format(\"".$row[days]."\", \"%d-%m-%Y\")";
        		break;
		}
     	$query = "SELECT ".$tmpd." as dates, sum(time_on) as time_on_t, sum(in_bytes) as InBytes_t, sum(out_bytes) as OutBytes_t, count(user) as count, sum(billing_minus) as money_t FROM ".NIBS_ACCT_TABLE." WHERE user='".$user."' and start_time between '".$tmpb."' AND comment is NULL";
     	$res_days = my_query ($query,LINK,__FILE__,__LINE__);
     	$row_days = mysql_fetch_array ($res_days);
        echo "<TR align=center bgcolor=\"#FFFFFF\">";
         echo "<TD nowrap=nowrap>".$row_days[dates]."</TD>";
         echo "<TD nowrap=nowrap>".$row_days[count]."</TD>";
         echo "<TD nowrap=nowrap>"; echo_times($row_days[time_on_t]); echo "</TD>";
         echo "<TD nowrap=nowrap>"; echo_traffics($row_days[InBytes_t]); echo "</TD>";
         echo "<TD nowrap=nowrap>"; echo_traffics($row_days[OutBytes_t]); echo "</TD>";
         echo "<TD nowrap=nowrap>"; $Bytes_t = $row_days[InBytes_t] + $row_days[OutBytes_t]; echo_traffics($Bytes_t); echo "</TD>";
         printf ("<TD nowrap=nowrap>%01.2f</TD>\n", $row_days[money_t]);
        echo "</TR>";
     }
     mysql_free_result ($res_days);
     mysql_free_result ($result);
    ?>
   </TABLE>
   <?
   }
//------------------------------------------------------------------------------
  if ($res[count] == 0) {

    $query = "SELECT start_time,before_billing,billing_minus FROM ".NIBS_ACCT_TABLE." WHERE user='".$user."' AND comment='".COMM_ABONP."' AND start_time between '".$t_start_time."' and '".$t_stop_time."'";
    $result = my_query ($query,LINK,__FILE__,__LINE__);
    $res_abon = mysql_fetch_array ($result);
    mysql_free_result ($result);

    if ($res_abon[start_time] != "") {
?>
     <TABLE cellspacing="1" cellpadding="3" BORDER="0" BGCOLOR="#CCBBAA" class="moduletable">
      <TR ALIGN=center BGCOLOR="#E8ECF2">
       <TD colspan=6 align=center nowrap=nowrap><? echo $TXT_032; ?></td>
      </TR>
      <TR align=center>
       <TD BGCOLOR="#E8ECFF" nowrap=nowrap><? echo $TXT_033; ?></TD>
       <TD BGCOLOR="#FFFFFF" nowrap=nowrap><? echo $res_abon[start_time]; ?></TD>
       <TD BGCOLOR="#E8ECFF" nowrap=nowrap><? echo $TXT_034; ?></TD>
       <TD BGCOLOR="#FFFFFF" nowrap=nowrap><? printf ("%01.2f ".UE,$res_abon[before_billing]); ?></TD>
       <TD BGCOLOR="#E8ECFF" nowrap=nowrap><? echo $TXT_035; ?></TD>
       <TD BGCOLOR="#FFFFFF" nowrap=nowrap><? printf ("%01.2f ".UE,$res_abon[billing_minus]); ?></TD>
      </TR>
     </TABLE>
    <BR><BR>
<?
    }
    if ($res_pop[count] != 0) {
     $query = "SELECT start_time,before_billing,billing_minus FROM ".NIBS_ACCT_TABLE." WHERE user='".$user."' AND comment='Popovnennja' AND start_time between '".$t_start_time."' and '".$t_stop_time."'";
     $result = my_query ($query,LINK,__FILE__,__LINE__);
     $res_popov = mysql_fetch_array ($result);
     mysql_free_result ($result);
?>
     <TABLE cellspacing="1" cellpadding="3" BORDER="0" BGCOLOR="#CCBBAA" class="moduletable">
      <TR ALIGN=center BGCOLOR="#E8ECF2">
       <TD colspan=6 align=center nowrap=nowrap><? echo $TXT_036; ?></td>
      </TR>
      <TR align=center>
       <TD BGCOLOR="#E8ECFF" nowrap=nowrap><? echo $TXT_037; ?></TD>
       <TD BGCOLOR="#FFFFFF" nowrap=nowrap><? echo $res_popov[start_time]; ?></TD>
       <TD BGCOLOR="#E8ECFF" nowrap=nowrap><? echo $TXT_038; ?></TD>
       <TD BGCOLOR="#FFFFFF" nowrap=nowrap><? printf ("%01.2f ".UE,$res_popov[before_billing]); ?></TD>
       <TD BGCOLOR="#E8ECFF" nowrap=nowrap><? echo $TXT_039; ?></TD>
       <TD BGCOLOR="#FFFFFF" nowrap=nowrap><? printf ("%01.2f ".UE,$res_popov[billing_minus]); ?></TD>
      </TR>
     </TABLE>
    <BR><BR>

<?
    }

 }
//------------------------------------------------------------------------------
   if ($res[count] == 0 AND $res_pop[count] == 0 AND $res_abon[start_time] == "") {
      echo "<img src=images/nothing.gif align=absmiddle border=0>&nbsp;&nbsp;".$TXT_057;
   }
  ?>
        </td>
       </tr>
      </table>
     </td>
     <td width="4" valign="top" background="images/shadow_right.gif" nowrap=nowrap><img src="images/spacer.gif" width="4" height="4"/></td>
    </tr>
   </table>
   <table border="0" cellspacing="0" cellpadding="0" width="100%">
    <tr>
     <td width="4" nowrap=nowrap><img src="images/spacer.gif" width="4" height="4" /></td>
     <td bgcolor="#becbcd" nowrap=nowrap><img src="images/spacer.gif" width="4" height="4"></td>
    </tr>
   </table>
  </td>
 </tr>
</table>

